Innehåll

# Not Operator

Används för att negera ett uttryck genom att invertera bitvärden.

## Syntax:

    Resultat = Not Uttryck

## Parametrar:

Resultat: En numerisk variabel som innehåller negationens resultat.

Uttryck: Det uttryck som ska negeras.

Om ett logiskt uttryck negeras ändras värdet True till False, och värdet False ändras till True.

Vid bitvis negering inverteras varje enskild bit i uttrycket.

## Exempel:

    Sub ExampleNot
    Dim vA As Variant, vB As Variant, vC As Variant, vD As Variant
    Dim vOut As Variant
        vA = 10: vB = 8: vC = 6: vD = Null
        vOut = Not vA ' Returnerar -11
        vOut = Not(vC > vD) ' Returnerar -1
        vOut = Not(vB > vA) ' Returnerar -1
        vOut = Not(vA > vB) ' Returnerar 0
    End Sub

Stötta oss!